Skip to main content
GET
/
youtube
/
topics
cURL
curl -X GET "https://apiv3.creatordb.app/youtube/topics" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{ "data": [ { "id": "id_academic_Education", "name": "Academic", "category": "Education", "channelCount": 97 }, { "id": "id_academichistory_Education", "name": "Academic History", "category": "Education", "channelCount": 92 }, { "id": "id_culturaleducation_Education", "name": "Cultural Education", "category": "Education", "channelCount": 111 }, { "id": "id_economics_Education", "name": "Economics", "category": "Education", "channelCount": 23 }, { "id": "id_emotionaleducation_Education", "name": "Emotional Education", "category": "Education", "channelCount": 156 }, { "id": "id_finance_Education", "name": "Finance", "category": "Education", "channelCount": 81 }, { "id": "id_fineart_Education", "name": "Fine Art", "category": "Education", "channelCount": 54 }, { "id": "id_geography_Education", "name": "Geography", "category": "Education", "channelCount": 22 }, { "id": "id_healtheducation_Education", "name": "Health Education", "category": "Education", "channelCount": 308 } ], "traceId": "0f58e95d22ea888a76166ecf6bb251ef", "timestamp": 1772075633067, "errorCode": "", "errorDescription": "", "success": true }

Documentation Index

Fetch the complete documentation index at: https://docs.creatordb.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Response

YouTube topics. data returned successfully.

YouTube Topics API response with all available topics.

data
object[]
required

YouTube topics.

creditsUsed
integer
required

Number of API credits consumed by this request.

Example:

1

creditsAvailable
integer
required

Number of API credits remaining. Returns -1 if the quota is unlimited.

Example:

-1

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on May 8, 2026